Subject: RE: bug#3984: 23.0.96; defadvice of call-interactively defeats interactive-p

From: "Drew Adams" <[email-masked]>
Date: Tue, 11 Oct 2011 09:05:23 -0700

> > string of that option refers to Emacs bug #3948.  Still, it 
> > would be good to get this Emacs bug fixed - especially, as
> > Kai remarks, since the Emacs source code now uses
> > `called-interactively-p' all over the place.
> 
> I don't understand the "now" in the above sentence.  AFAIK these uses
> are not new (tho they used `interactive-p' in the past, but 
> that should not make any difference).

Whether it matters, for this bug, whether the Emacs code uses
`called-interactively-p' or `interactive-p' I don't know.  I trust your guess
that it should not make any difference.  Feel free to remove "now" from the
sentence.  

The point is to please fix the bug.  Thx.